<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class periodic_activity extends Model
{
    use HasFactory;
    protected $fillable = [
        'activity_no',
        'activity_name',
        'period',
        'period_category',
        'last_time',
        'Next_time',
        'instion_no',
        'description',
    ];
    public function station(){
        return $this->belongsTo(station::class);
    }
    public function activity_reports(){
        return $this->hasMany(activity_report::class,'activity_id');
    }
}
